GET /organizations/{organizationId}/licenses

meraki.com

Summary: List the licenses for an organization
Operation ID: getOrganizationLicenses
Auth: unknown
Description

List the licenses for an organization

Parameters (7)

deviceSerial (string, query, optional)

Filter the licenses to those assigned to a particular device. Returned in the same order that they are queued to the device.

endingBefore (string, query, optional)

A token used by the server to indicate the end of the page. Often this is a timestamp or an ID but it is not limited to those. This parameter should not be defined by client applications. The link for the first, last, prev, or next page in the HTTP Link header should define it.

networkId (string, query, optional)

Filter the licenses to those assigned in a particular network

organizationId (string, path, required)
perPage (integer, query, optional)

The number of entries per page returned. Acceptable range is 3 - 1000. Default is 1000.

startingAfter (string, query, optional)

A token used by the server to indicate the start of the page. Often this is a timestamp or an ID but it is not limited to those. This parameter should not be defined by client applications. The link for the first, last, prev, or next page in the HTTP Link header should define it.

state (string, query, optional)

Filter the licenses to those in a particular state. Can be one of 'active', 'expired', 'expiring', 'recentlyQueued', 'unused' or 'unusedActive'

Constraints: {'enum': ['active', 'expired', 'expiring', 'recentlyQueued', 'unused', 'unusedActive']}

No probe data for this endpoint yet.